| Version: 3.3.1

Classes | Enumerations | Functions
intl.h File Reference

## Classes
struct | wxLanguageInfo
| Encapsulates a wxLanguage identifier together with OS-specific information related to that language. More...
class | wxLocale
| wxLocale class encapsulates all language-dependent settings and is a generalization of the C locale concept. More...

## Enumerations
enum | wxLayoutDirection { wxLayout_Default , wxLayout_LeftToRight , wxLayout_RightToLeft }
| This is the layout direction stored in wxLanguageInfo and returned by wxApp::GetLayoutDirection(), wxWindow::GetLayoutDirection(), wxDC::GetLayoutDirection() for RTL (right-to-left) languages support. More...
enum | wxLocaleTagType { wxLOCALE_TAGTYPE_DEFAULT , wxLOCALE_TAGTYPE_SYSTEM , wxLOCALE_TAGTYPE_BCP47 , wxLOCALE_TAGTYPE_MACOS , wxLOCALE_TAGTYPE_POSIX , wxLOCALE_TAGTYPE_WINDOWS }
| The type of a locale tag. More...
enum | wxLocaleCategory { wxLOCALE_CAT_NUMBER , wxLOCALE_CAT_DATE , wxLOCALE_CAT_MONEY , wxLOCALE_CAT_DEFAULT }
| The category of locale settings. More...
enum | wxLocaleInfo { wxLOCALE_THOUSANDS_SEP , wxLOCALE_DECIMAL_POINT , wxLOCALE_SHORT_DATE_FMT , wxLOCALE_LONG_DATE_FMT , wxLOCALE_DATE_TIME_FMT , wxLOCALE_TIME_FMT }
| The values understood by wxLocale::GetInfo(). More...
enum | wxLocaleName { wxLOCALE_NAME_LOCALE , wxLOCALE_NAME_LANGUAGE , wxLOCALE_NAME_COUNTRY }
| The values understood by wxUILocale::GetLocalizedName(). More...
enum | wxLocaleForm { wxLOCALE_FORM_NATIVE , wxLOCALE_FORM_ENGLISH }
| The values understood by wxUILocale::GetLocalizedName(). More...
enum | wxLocaleInitFlags { wxLOCALE_DONT_LOAD_DEFAULT = 0x0000 , wxLOCALE_LOAD_DEFAULT = 0x0001 }

## Functions
wxLocale * | wxGetLocale ()
| Get the current locale object (note that it may be nullptr!) More...

## Enumeration Type Documentation

## ◆ wxLayoutDirection

enum wxLayoutDirection

This is the layout direction stored in wxLanguageInfo and returned by wxApp::GetLayoutDirection(), wxWindow::GetLayoutDirection(), wxDC::GetLayoutDirection() for RTL (right-to-left) languages support.

Enumerator
wxLayout_Default |
wxLayout_LeftToRight |
wxLayout_RightToLeft |

## ◆ wxLocaleCategory

enum wxLocaleCategory

The category of locale settings.

See also
  wxLocale::GetInfo(), wxUILocale::GetInfo()

Enumerator
wxLOCALE_CAT_NUMBER | Number formatting.
wxLOCALE_CAT_DATE | Date/time formatting.
wxLOCALE_CAT_MONEY | Monetary values formatting.
wxLOCALE_CAT_DEFAULT | Default category for the wxLocaleInfo value. This category can be used for values which only make sense for a single category, e.g. wxLOCALE_SHORT_DATE_FMT which can only be used with wxLOCALE_CAT_DATE. As this is the default value of the second parameter of wxLocale::GetInfo(), wxLOCALE_CAT_DATE can be omitted when asking for wxLOCALE_SHORT_DATE_FMT value. Since 2.9.0

## ◆ wxLocaleForm

enum wxLocaleForm

The values understood by wxUILocale::GetLocalizedName().

The values specify the form of a localized name.

Since
  3.1.6

See also
  wxUILocale::GetLocalizedName()

Enumerator
wxLOCALE_FORM_NATIVE | Name should be returned in the language of the locale itself.
wxLOCALE_FORM_ENGLISH | Name should be returned in English.

## ◆ wxLocaleInfo

enum wxLocaleInfo

The values understood by wxLocale::GetInfo().

Note that for the `wxLOCALE_*_FMT` constants (the date and time formats), the strings returned by wxLocale::GetInfo() use strftime() or, equivalently, wxDateTime::Format() format. If the relevant format couldn't be determined, an empty string is returned – there is no fallback value so that the application could determine the best course of actions itself in such case.

All of these values are used with `wxLOCALE_CAT_DATE` in wxLocale::GetInfo() or, more typically, with `wxLOCALE_CAT_DEFAULT` as they only apply to a single category.

See also
  wxUILocale::GetInfo()

Enumerator
wxLOCALE_THOUSANDS_SEP | The thousands separator. This value can be used with either wxLOCALE_CAT_NUMBER or wxLOCALE_CAT_MONEY categories. By default, i.e. when wxLOCALE_CAT_DEFAULT is used, the separator for numbers is returned.
wxLOCALE_DECIMAL_POINT | The character used as decimal point. This value can be used with either wxLOCALE_CAT_NUMBER or wxLOCALE_CAT_MONEY categories. By default, i.e. when wxLOCALE_CAT_DEFAULT is used, the decimal point for numbers is returned.
wxLOCALE_SHORT_DATE_FMT | Short date format. Notice that short and long date formats may be the same under POSIX systems currently but may, and typically are, different under MSW or macOS. Since 2.9.0
wxLOCALE_LONG_DATE_FMT | Long date format. Since 2.9.0
wxLOCALE_DATE_TIME_FMT | Date and time format. Since 2.9.0
wxLOCALE_TIME_FMT | Time format. Since 2.9.0

## ◆ wxLocaleInitFlags

enum wxLocaleInitFlags

Enumerator
wxLOCALE_DONT_LOAD_DEFAULT | Don't load wxstd.mo catalog.
wxLOCALE_LOAD_DEFAULT | Load wxstd.mo (done by default).

## ◆ wxLocaleName

enum wxLocaleName

The values understood by wxUILocale::GetLocalizedName().

The corresponding strings can be used to display the information in the UI.

Since
  3.1.6

See also
  wxUILocale::GetLocalizedName()

Enumerator
wxLOCALE_NAME_LOCALE | Display name of a locale.
wxLOCALE_NAME_LANGUAGE | Display name of the language of a locale.
wxLOCALE_NAME_COUNTRY | Display name of the country/region of a locale.

## ◆ wxLocaleTagType

enum wxLocaleTagType

The type of a locale tag.

See also
  wxLocaleIdent::GetTag()

Since
  3.1.6

Enumerator
wxLOCALE_TAGTYPE_DEFAULT | Default (tag as given or else same as wxLOCALE_TAGTYPE_SYSTEM)
wxLOCALE_TAGTYPE_SYSTEM | Default type of the system (platform-dependent).
wxLOCALE_TAGTYPE_BCP47 | BCP47-like type: <language>[-<script>][-<region>][-<modifier>].
wxLOCALE_TAGTYPE_MACOS | macOS type: <language>[-<script>][_<region>].
wxLOCALE_TAGTYPE_POSIX | POSIX type: <language>_<region>[.<charset>][@{<scriptalias>|<modifier>}].
wxLOCALE_TAGTYPE_WINDOWS | Windows type: <language>[-<script>][-<region>][-<extension>][_<sortorder>].

## Function Documentation

## ◆ wxGetLocale()

wxLocale* wxGetLocale | ( |  | ) |

Get the current locale object (note that it may be nullptr!)